aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/privoxy/files/privoxy.init
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/privoxy/files/privoxy.init
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/privoxy/files/privoxy.init')
-rwxr-xr-xrecipes/privoxy/files/privoxy.init49
1 files changed, 49 insertions, 0 deletions
diff --git a/recipes/privoxy/files/privoxy.init b/recipes/privoxy/files/privoxy.init
new file mode 100755
index 0000000000..3140c2a30e
--- /dev/null
+++ b/recipes/privoxy/files/privoxy.init
@@ -0,0 +1,49 @@
+
+#! /bin/sh
+#
+# This is an init script for Privoxy on Openzaurus
+#
+
+PRIVOXY_PRG="privoxy"
+PRIVOXY_BIN="/usr/sbin/$PRIVOXY_PRG"
+PRIVOXY_CONF="/etc/$PRIVOXY_PRG/config"
+PRIVOXY_USER="privoxy"
+PRIVOXY_PID=/var/run/$PRIVOXY_PRG.pid
+PRIVOXY_LOCK=/var/lock/subsys/$PRIVOXY_PRG
+PRIVOXY="$PRIVOXY_BIN --user $PRIVOXY_USER --pidfile $PRIVOXY_PID $PRIVOXY_CONF"
+
+test -f $PRIVOXY_BIN || exit 0
+test -f $PRIVOXY_CONF || exit 0
+test -d /var/log/privoxy || mkdir /var/log/privoxy && chown privoxy:privoxy /var/log/privoxy
+
+case "$1" in
+ start)
+ echo -n "Starting privoxy daemon"
+
+ if [ -f $PRIVOXY_PID ]; then
+ killall privoxy && rm -f $PRIVOXY_LOCK $PRIVOXY_PID
+ fi
+
+ start-stop-daemon --start --quiet --exec $PRIVOXY
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping privoxy daemon"
+ killall $PRIVOXY_PRG
+ echo "."
+ ;;
+ restart)
+ echo -n "Stopping privoxy daemon"
+ killall $PRIVOXY_PRG
+ echo "."
+
+ echo -n "Starting privoxy daemon"
+ start-stop-daemon --start --quiet --exec $PRIVOXY
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/tor {start|stop|restart|start_socats|stop_socats}"
+ exit 1
+esac
+
+exit 0